"""
@author: luojunhui
"""
import pymysql

from tqdm import tqdm

account_list = [
    {
        "account_name": "gh_59b9f8ef99a4_职场鸢说",
        "account_nickname": "职场鸢说",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v4",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_6b7c2a257263_幸福晚年知音",
        "account_nickname": "幸福晚年知音",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_bfe5b705324a_奇趣百味生活",
        "account_nickname": "奇趣百味生活",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_1d887d61088c_乐享生活小窍门",
        "account_nickname": "乐享生活小窍门",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_3ed305b5817f_看不够妙招",
        "account_nickname": "看不够妙招",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_dd4c857bbb36_无忧自在生活",
        "account_nickname": "无忧自在生活",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_f902cea89e48_无忧潮生活",
        "account_nickname": "无忧潮生活",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_b676b7ad9b74_无忧生活小妙招",
        "account_nickname": "无忧生活小妙招",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_b6f2c5332c72_巷尾风声",
        "account_nickname": "巷尾风声",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_ee78360d06f5_实用妙招800个",
        "account_nickname": "实用妙招800个",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_1b27dd1beeca_小贝生活课堂",
        "account_nickname": "小贝生活课堂",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营v3",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_93e00e187787_小惠爱厨房",
        "account_nickname": "小惠爱厨房",
        "account_kind_1": "自营",
        "account_kind_2": "投流_v1",
        "account_type": "订阅号",
        "min_time": "20240601"
    },
    {
        "account_name": "gh_4568b5a7e2fe_窦都事说",
        "account_nickname": "窦都事说",
        "account_kind_1": "自营",
        "account_kind_2": "买号v2",
        "account_type": "订阅号",
        "min_time": "20240601"

    },
    {
        "account_name": "gh_adca24a8f429_史记趣言",
        "account_nickname": "史记趣言",
        "account_kind_1": "自营",
        "account_kind_2": "买号v2",
        "account_type": "订阅号",
        "min_time": "20240601"
    },
    {
        "account_name": "gh_e0eb490115f5_心灵情感驿站",
        "account_nickname": "心灵情感驿站",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20240201",
        "example_url": "https://mp.weixin.qq.com/s?__biz=Mzk0NTYxNDA2Nw==&mid=2247490448&idx=2&sn=5ec4ea0b0ec8601dfdd27c97f91e84ef&chksm=c313e60cf4646f1a35189c512ada181ed6a19457165cf3cfe9761cbbc9a945ba876909eb405a&token=2069955866&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_e24da99dc899_缘来养心厅",
        "account_nickname": "缘来养心厅",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20240201",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzkzNjYxMjY0Nw==&mid=2247491448&idx=2&sn=820f612b3dbef915db99c3c78ecc8245&chksm=c29d5930f5ead02633311132c8c886fd49e707f1d623a802bf2da82d6e566771deedc373f2e2&token=382421805&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_084a485e859a_生活情感叁读",
        "account_nickname": "生活情感叁读",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20230601",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzkwODUwNzMzMA==&mid=2247499602&idx=2&sn=e98ebb724c4cf071c5dae0b8c31c6064&chksm=c0ca5efff7bdd7e98374380f6359bc6260b080efabc053af010ea5b61b8882483c7d91d10dfd&token=1246049706&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_6d9f36e3a7be_音药养心馆",
        "account_nickname": "音药养心馆",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20240201",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzkzNjYxMzMxNw==&mid=2247489721&idx=2&sn=b763d7847275493b3990c59383e827a9&chksm=c29d5c13f5ead505a8e78ab9d68029d5edf18b2d94fc1c05ccf3b6654d3bc059256bd68a04ea&token=1122911933&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_9f8dc5b0c74e_音药金曲厅",
        "account_nickname": "音药金曲厅",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20240401",
        "example_url": "https://mp.weixin.qq.com/s/__nMo09Cp4yb1gCS08R0cQ"
    },
    {
        "account_name": "gh_5ff48e9fb9ef_祝福养心厅",
        "account_nickname": "祝福养心厅",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20240401",
        "example_url": "https://mp.weixin.qq.com/s/skCQCJz8BVBZfCeWNZh0yw"
    },
    {
        "account_name": "gh_183d80deffb8_生活良读",
        "account_nickname": "生活良读",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "min_time": "20230601",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzkzNzU4OTI0MQ==&mid=2247486489&idx=2&sn=bdca965ce642d7a2764186f4e83e70ce&chksm=c28c6c8ff5fbe59935eaa6aa8dbb10d6cdac40b89139be3206413dabc08481da7cf744a1db21&token=788224128&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_9161517e5676_宝娃趣味游戏",
        "account_nickname": "宝娃趣味游戏",
        "account_kind_1": "自营",
        "account_kind_2": "买号",
        "account_type": "订阅号",
        "example_url": "https://mp.weixin.qq.com/s/Q0dfNLoFU45D83iHaCMnpg"
    },
    {
        "account_name": "gh_26a307578776_票圈美文速递",
        "account_nickname": "票圈美文速递",
        "account_kind_1": "自营",
        "account_kind_2": "自导-订阅号",
        "account_type": "订阅号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=Mzg3OTk4MTY2MA==&mid=2247497182&idx=2&sn=ae70dfd5e26926c06153675ccf2f303e&chksm=cf7e90edf80919fbc0af22cfa29d7f88920ce508dc55c70549a8b542490edbc8e1f0f0074b75&token=57207778&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_d2cc901deca7_票圈极速版",
        "account_nickname": "票圈极速版",
        "account_kind_1": "自营",
        "account_kind_2": "自导-订阅号",
        "account_type": "订阅号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzIzNzQ5MDQ0Mg==&mid=2247557653&idx=2&sn=4e4a4e55d4d83d9bbc8714e3e2fb903e&chksm=e8c47a70dfb3f36660ec5a83c1bdcee6c2dc3dffae14ed59d2be6fefce8c2c4607f9061e70be&token=1037153386&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_1ee2e1b39ccf_票圈最新消息",
        "account_nickname": "票圈最新消息",
        "account_kind_1": "自营",
        "account_kind_2": "自导-订阅号",
        "account_type": "订阅号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzkzNTUwNzYzMQ==&mid=2247489847&idx=2&sn=9830b4926999fbaefcea9e7ba858465e&chksm=c2adbaf7f5da33e10c74ea3517e1db015433b868a1d2b5c9fa76b183eacbacc47973c938c97e&token=544068113&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_e75dbdc73d80_票圈正能量",
        "account_nickname": "票圈正能量",
        "account_kind_1": "自营",
        "account_kind_2": "自导-订阅号",
        "account_type": "订阅号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzI3OTI0NDA3OQ==&mid=2247485091&idx=2&sn=a4a5436e7b877bb3652e0bdcf6cd7d8b&chksm=eb4bfae3dc3c73f536c831c0bc0a769dd850b63dce356fae0ea71ac156025a325b110dce6adf&token=546235938&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_b8baac4296cb_票圈原创视频精选",
        "account_nickname": "票圈原创视频精选",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzI5NzgwMzk4Ng==&mid=2247488691&idx=2&sn=7932b1f5df6ad7326fe817f12d195d4c&chksm=ecaedd0edbd9541842f99c9257161a49569187d16a37f847b6fa0d0b23e62a05eaa01de579e5&token=688518322&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_45beb952dc74_票圈乐活",
        "account_nickname": "票圈乐活",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzIyNzUwNDU0Mw==&mid=2247488612&idx=2&sn=d8822b4241ede2a18359af8577a150c5&chksm=e8616c94df16e582df2187915dcf574e0aa8cb2f951290bd05cd7a34affcd6e9fd8fe8bcea37&token=1128731380&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_9cf3b7ff486b_票圈热门",
        "account_nickname": "票圈热门",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=Mzg5MTY3MjMzMw==&mid=2247485253&idx=2&sn=e329fc08e9160bebecffcab83d7c9512&chksm=cfc88527f8bf0c3141d0ac4f935bec8f859fe78c33020015704c0dc6b031dde3821e85caf981&token=689050650&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_b32125c73861_票圈奇闻",
        "account_nickname": "票圈奇闻",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzIxMjg2MzE2Mg==&mid=2247483930&idx=2&sn=27e573be47b8e9d60a8941b16bc01d3c&chksm=97bed3cfa0c95ad9ed13d5f50aebb093f1a193c087aee8e8840a4e3714d752059bd28e3bc6eb&token=1172173724&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_5e543853d8f0_票圈精彩",
        "account_nickname": "票圈精彩",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s?__biz=MzIzMDQ5MDc4Ng==&mid=2247483812&idx=2&sn=3e2d919e6696303c83e444853e763bb8&chksm=e8b3d669dfc45f7f604594747c82b9d17ff813ccefebf02a5b23e2b32d5279f11da2e45e2da8&token=951337792&lang=zh_CN#rd"
    },
    {
        "account_name": "gh_b3ffc1ca3a04_票圈内容精选",
        "account_nickname": "票圈内容精选",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s/h_4qW7pQ9sV4OvbtTEz9eQ"
    },
    {
        "account_name": "gh_efaf7da157f5_票圈热议",
        "account_nickname": "票圈热议",
        "account_kind_1": "自营",
        "account_kind_2": "自导-服务号",
        "account_type": "服务号",
        "example_url": "https://mp.weixin.qq.com/s/T1YHqu-5OKdd3mO6G9G1kA"
    },
    {
        "account_name": "gh_6d205db62f04_指尖奇文",
        "account_nickname": "指尖奇文",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_c69776baf2cd_老友欢聚地",
        "account_nickname": "老友欢聚地",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_9877c8541764_退休老年圈",
        "account_nickname": "退休老年圈",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_a2901d34f75b_畅聊奇闻",
        "account_nickname": "畅聊奇闻",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_89ef4798d3ea_生活百态观",
        "account_nickname": "生活百态观",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_b15de7c99912_人生百事观",
        "account_nickname": "人生百事观",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_7e5818b2dd83_便捷生活好方法",
        "account_nickname": "便捷生活好方法",
        "account_kind_1": "代运营",
        "account_kind_2": "代运营",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_6cfd1132df94_趣味晚年",
        "account_nickname": "趣味晚年",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_9eef14ad6c16_快乐精选集",
        "account_nickname": "快乐精选集",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_c5cdf60d9ab4_老友快乐谈",
        "account_nickname": "老友快乐谈",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_0c89e11f8bf3_幸福启示",
        "account_nickname": "幸福启示",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_d49df5e974ca_生活指示录",
        "account_nickname": "生活指示录",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_080bb43aa0dc_态度说",
        "account_nickname": "态度说",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_72bace6b3059_幸福妙招合集",
        "account_nickname": "幸福妙招合集",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_bff0bcb0694a_喜乐生活派",
        "account_nickname": "喜乐生活派",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_5ae65db96cb7_路边闲聊社",
        "account_nickname": "路边闲聊社",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_7f5075624a50_都市镜头",
        "account_nickname": "都市镜头",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_192c9cf58b13_天天学生活技巧",
        "account_nickname": "天天学生活技巧",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_29074b51f2b7_老来生活家",
        "account_nickname": "老来生活家",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_f25b5fb01977_生活晓常识",
        "account_nickname": "生活晓常识",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_d4dffc34ac39_情为老友",
        "account_nickname": "情为老友",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    },
    {
        "account_name": "gh_ff487cb5dab3_趣味生活达人",
        "account_nickname": "趣味生活达人",
        "account_kind_1": "代运营v2",
        "account_kind_2": "代运营v2",
        "account_type": "订阅号",
        "example_url": ""
    }
]


def migrate_each_obj(account_obj):
    """
    迁移账号
    :param account_obj:
    :return:
    """
    account_name = account_obj['account_nickname']
    gh_id = account_obj['account_name'].replace("_{}".format(account_name), "")
    account_k1 = account_obj['account_kind_1']
    account_k2 = account_obj['account_kind_2']
    account_type = account_obj['account_type']
    insert_sql = f"""
        INSERT INTO long_articles_account
            (account_name, gh_id, account_type, account_kind, account_sub_kind)
        VALUES 
            (%s, %s, %s, %s, %s);
    """
    # print(insert_sql)
    connection = pymysql.connect(
        host='rm-bp1159bu17li9hi94.mysql.rds.aliyuncs.com',
        port=3306,
        user='crawler',
        password='crawler123456@',
        db='piaoquan-crawler',
        charset='utf8mb4'
    )
    cursor = connection.cursor()
    cursor.execute(
        insert_sql,
        (account_name, gh_id, account_type, account_k1, account_k2)
    )
    connection.commit()

print(len(account_list))

for account in tqdm(account_list):
    try:
        migrate_each_obj(account)
    except:
        print("数据已经存在")


